@ECHO OFF

REM *** DOS Batch Startup File (AUTOEXEC.BAT) to Erase all WINDOWS Files & Folders
REM ***     that are Sensitive / Private / Confidential to User.
REM ***                 Philip Dybel                c. 2003 - Feb 2008

ECHO.
ECHO DOS Batch Startup File (AUTOEXEC.BAT) running...
ECHO.

ECHO You will now be given choices to FULLY ERASE the following WINDOWS files:
ECHO  * WINDOWS "Temporary Internet Files"  ( everything )
ECHO  * WINDOWS "History"                   ( everything )
ECHO  * WINDOWS "Cookies"                   ( everything )
ECHO  * Other sensitive WINDOWS files/folders ( Address Book(s); "Recent" shortcuts;
ECHO      "TEMP" folder; Root "TEMP" folder; "msdownld.tmp" folder; "MUI" folder(s);
ECHO       M$ Installer files; Macromedia (Shockwave/Flash) files (folder); etc. )

ECHO.
ECHO You should type "Y" to delete the selected files, or "N" to not delete them.
ECHO.


REM * DOS SMARTDrive disk-caching utility (c:\windows\smartdrv.exe) makes deleting alot faster... *****
REM * cf. "Windows, Networking and Software | FAQ, Tips, Hints, and Wisdom for Windows 98x/XP"
REM *  at:  http://webpages.charter.net/davidgok/document/Hints.pdf
SMARTDRV


REM ***** Delete WINDOWS Temporary Internet Files ?  (files & folder) *****

c:\windows\command\CHOICE /C:YN /T:N,4 /N "Delete WINDOWS 'Temporary Internet Files' [ Y(yes) / N(no) ] ? "

IF ERRORLEVEL 2 GOTO No1


REM *** Y(yes) - delete all "Temporary Internet Files" & Folders: ***
SET f=C:\WINDOWS\TEMPOR~1
ECHO DELETE: "Temp. Internet Files" - %f%\CONTENT.IE5 (folder & sub's)
c:\windows\command\DELTREE /Y %f%\CONTENT.IE5

GOTO History


:No1
REM *** N(no) - delete nothing: ***
ECHO nothing deleted.



:History
REM ***** Delete WINDOWS "History" ?  (files & folders) *****

ECHO.

c:\windows\command\CHOICE /C:YN /T:N,4 /N "Delete WINDOWS 'History' [ Y(yes) / N(no) ] ? "

IF ERRORLEVEL 2 GOTO No2

REM *** Y(yes) - delete WINDOWS "History": ***
SET f=C:\WINDOWS\HISTORY
ECHO DELETE: WINDOWS "History" - %f% (files, folders, & sub's)
c:\windows\command\DELTREE /Y %f%

GOTO Cookies


:No2
REM *** N(no) - delete nothing: ***
ECHO nothing deleted.



:Cookies
REM ***** Delete WINDOWS "Cookies" ?  (folder) *****

ECHO.

REM *** Check if Copied, Empty "Cookies" folder exists as Temporary folder (via "SHUTDOWN.BAT"): ***
SET e=C:\WINDOWS\Cookies0
IF EXIST %e%\NUL ECHO [Replacement empty WINDOWS "Cookies" folder ready ("%e%")]
IF NOT EXIST %e%\NUL ECHO [Replacement WINDOWS "Cookies" folder absent ("%e%")]

c:\windows\command\CHOICE /C:YN /T:N,4 /N "Delete WINDOWS 'Cookies' [ Y(yes) / N(no) ] ? "

IF ERRORLEVEL 2 GOTO No3

REM *** Y(yes) - delete WINDOWS "Cookies": ***
SET f=C:\WINDOWS\COOKIES
ECHO DELETE: WINDOWS "Cookies" - %f% (folder)
c:\windows\command\DELTREE /Y %f%

REM * Branch: whether Copied, Empty "Cookies" folder exists: *
IF NOT EXIST %e%\NUL GOTO NoCopy

:Copy
ECHO ..MOVE: Copied, Empty WINDOWS "Cookies" folder to "%f%"
MOVE %e% %f%
GOTO Other

:NoCopy
ECHO  ..MAKE for WINDOWS "%f%" (folder)
MD %f%

GOTO Other


:No3
REM *** N(no) - delete nothing: ***
ECHO nothing deleted.



:Other
REM ***** Delete Other sensitive WINDOWS files & folders ? *****

ECHO.

c:\windows\command\CHOICE /C:YN /T:Y,4 /N "Delete Other sensitive/temporary WINDOWS files & folders [ Y(yes) / N(no) ] ? "

IF ERRORLEVEL 2 GOTO No4


REM *** Y(yes) - delete Other sensitive WINDOWS files & folders: ***
ECHO DELETE: Other sensitive/temporary WINDOWS files & folders...

REM ** Swap File: **
rem * SET f=C:\WINDOWS\WIN386.SWP
rem * ECHO ..WINDOWS Swap File - %f%
rem * DEL %f%

REM ** Address Book(s): **
SET f=C:\WINDOWS\APPLIC~1\MICROS~1\ADDRES~1\*.WA*
ECHO ..Address Book(s) - %f%
rem If file doesn't exist - Suppress "File Not Found" message:
rem DEL %f% > NUL
IF EXIST %f% DEL %f%

REM ** Outlook Express folders (M$ "Identities" folders): **
rem * SET f=C:\WINDOWS\APPLIC~1\IDENTI~1
rem * ECHO ..Outlook Express folder - %f%\* (& sub's)
rem * DELTREE /Y %f%\*

REM ** "Recent"  shortcuts (folder): **
SET f=C:\WINDOWS\Recent
IF EXIST %f%\NUL ECHO ..WINDOWS "Recent" shortcuts - %f%
IF EXIST %f%\NUL c:\windows\command\DELTREE /Y %f%

REM ** "TEMP" folder (Windows): **
SET f=C:\WINDOWS\TEMP
ECHO ..WINDOWS "TEMP" folder - %f% (& sub's)
c:\windows\command\DELTREE /Y %f%
REM Re-create folder for WINDOWS:
ECHO   (Re-create for WINDOWS "%f%\" (folder))
MD %f%

REM ** Root "TEMP" folder (C:\TEMP): **
SET f=C:\TEMP
ECHO ..Root "TEMP" folder - %f%
c:\windows\command\DELTREE /Y %f%
REM Re-create folder for WINDOWS:
ECHO   (Re-create for WINDOWS "%f%\" (folder))
MD %f%

REM ** "msdownld.tmp" folder: **
SET f=C:\WINDOWS\MSDOWNLD.TMP
ECHO ..WINDOWS "msdownld.tmp" folder - %f%
c:\windows\command\DELTREE /Y %f%
REM Re-create folder for WINDOWS:
ECHO   (Re-create for WINDOWS "%f%\" (folder))
MD %f%

REM ** "MUI" folder(s): **
SET f=C:\WINDOWS\SYSTEM\MUI
IF EXIST %f%\NUL ECHO ..WINDOWS\SYSTEM\"MUI" folder - %f%
IF EXIST %f%\NUL c:\windows\command\DELTREE /Y %f%

REM ** M$ Installer files: **
SET f=C:\WINDOWS\SYSTEM\msi.dll
IF EXIST %f% ECHO ..WINDOWS Installer file - %f%
IF EXIST %f% DEL %f%

SET f=C:\WINDOWS\SYSTEM\msiexec.exe
IF EXIST %f% ECHO ..WINDOWS Installer file - %f%
IF EXIST %f% DEL %f%

SET f=C:\WINDOWS\SYSTEM\msihnd.dll
IF EXIST %f% ECHO ..WINDOWS Installer file - %f%
IF EXIST %f% DEL %f%

SET f=C:\WINDOWS\SYSTEM\msimsg.dll
IF EXIST %f% ECHO ..WINDOWS Installer file - %f%
IF EXIST %f% DEL %f%

SET f=C:\WINDOWS\SYSTEM\msisip.dll
IF EXIST %f% ECHO ..WINDOWS Installer file - %f%
IF EXIST %f% DEL %f%

SET f=C:\WINDOWS\SYSTEM\mspatcha.dll
IF EXIST %f% ECHO ..WINDOWS Installer file - %f%
IF EXIST %f% DEL %f%

REM ** Macromedia (Shockwave/Flash) files (folder): **
SET f=C:\WINDOWS\APPLIC~1\MACROM~1
IF EXIST %f%\NUL ECHO ..WINDOWS\Application Data\"Macromedia" files - %f%
IF EXIST %f%\NUL c:\windows\command\DELTREE /Y %f%

REM ** WinHEX Recent Data: **
SET f="C:\Program Files\WinHEX\recent.dat"
IF EXIST %f% ECHO ..WinHEX Recent Data - %f%
IF EXIST %f% DEL %f%


GOTO Finish


:No4
REM *** N(no) - delete nothing: ***
ECHO nothing deleted.



:Finish
REM ***** FINISH: *****

REM Reset temporary system variables:
SET f=
SET e=

ECHO.
ECHO User-selected file deletion finished.

ECHO.
ECHO DOS Batch Startup File (AUTOEXEC.BAT) program finished.
ECHO.


REM optional Pause - Wait for Key Press:
rem c:\windows\command\CHOICE /C:. /T:.,1 /N "Pausing for 1 second (Press period key to end, any other to wait longer).."

@ECHO ON
