@ECHO OFF

REM  *****   SAVE WINDOWS REGISTRY as a FILE - BATCH FILE ("ExportReg.bat")   *****

REM  *  This batch program saves the WINDOWS Registry                                 *
REM  *  ( composed of the two files "SYSTEM.DAT" & "USER.DAT" in the WINDOWS folder ) *
REM  *  as the text file "Sys&User.reg" in the WINDOWS folder.                        *

REM *  PROCEDURE:
REM 1. Runs the "KillCrap.reg" file  ( make sure this is put in the WINDOWS folder ),
REM      using the Windows "Registry Editor" (RegEdit.exe),
REM      to delete unnecessary entries from registry.
REM    Pauses for 2 Seconds -- presumably enough time for RegEdit to finish importing it
REM 2. Run RegEdit to export the Registry as a File ("Sys&User.reg")


REM  Taken from:  "STARTUP BATCH FILE  ("BckupReg.bat")

REM     Philip C. Dybel        21 Aug. - 7 Sept. 2005


ECHO Running "KillCrap.reg"...

@ECHO ON
%windir%\REGEDIT.EXE /s %windir%\KillCrap.reg
@ECHO OFF


ECHO.
ECHO Waiting (for RegEdit to finish importing) 'KillCrap.reg'...
ECHO.
CHOICE /C:. /T:.,2 /N "Pausing for 2 seconds.."


ECHO.
ECHO RegEdit - exporting Registry as a File (Sys&User.reg)...

DEL %windir%\Sys&User.reg

@ECHO ON
%windir%\REGEDIT.EXE /e %windir%\Sys&User.reg
@ECHO OFF
